
jQuery(function(){
	jQuery('.close').click(function(){
		jQuery(this).parent().parent().hide()
	});
	
	var btnLeft = jQuery('.hotVideoLeft'),
		btnRight = jQuery('.hotVideoRight');
	var index = 0,
		videoLen = jQuery('.moveBox').children().length
	btnRight.click(function(){
		if(index<=videoLen-4-1)
		{
			index++
		}
		else
		{
			return
		}
		move(index)
	});
	btnLeft.click(function(){
		if(index==0)
		{
			return
		}
		else
		{
			index--
		}
		move(index)
	});
	
	
	function move(index){
		jQuery('.moveBox').stop().animate({
			'marginLeft': '-' + jQuery('.moveBox').children().outerWidth(true)*index + 'px'
		})
	};
	
	
	jQuery('.closeLamp').find('a').toggle(function(){
		closeLamp();
		},function(){
		openLamp();	
	})
	
	
	jQuery('.copy').click(function(event){
		var offset = jQuery(this).offset()
		jQuery('#blk1').css({
			'top':offset.top + 35 + 'px',
			'left':offset.left + 'px'
		}).show()
		event.stopPropagation();
		
	});
	jQuery(document).click(function(){
		jQuery('#blk1').hide();
	});
	jQuery('#blk1').click(function(event){
		event.stopPropagation();
	})

	
	
});





/*on-offLamp*/
var jQuerycoverDom = "<div class=\"GTipsCover\" style=\"background:#000;position:absolute;width:100%;height:"+jQuery(document).height()+"px;left:0;top:0;display:none;z-index:3\"></div>";

function closeLamp()
{
    jQuerycoverDom = "<div class=\"GTipsCover\" style=\"background:#000;position:absolute;width:100%;height:"+document.body.offsetHeight+"px;left:0;top:0;display:none;z-index:3\"></div>";
	jQuery(jQuerycoverDom).appendTo('body').fadeIn();	
	jQuery('.closeLamp').find('a').addClass('openLamp').text("¿ªµÆ")
};

function openLamp()
{
	jQuery('.GTipsCover').fadeOut(function(){
		jQuery(this).remove()
	})
	jQuery('.closeLamp').find('a').removeClass('openLamp').text("¹ØµÆ")
}
